FileModel (gCube Messages Portlet 0.4.0-3.1.0 API)
Date: 2014-05-11

org.gcube.portlets.user.messages.shared

## Class FileModel

- java.lang.Object
- - com.extjs.gxt.ui.client.data.BaseModelData
  - - org.gcube.portlets.user.messages.shared.FileModel

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.data.ModelData, com.google.gwt.user.client.rpc.IsSerializable, Serializable
  Direct Known Subclasses:
    FileGridModel, FolderModel

      public class FileModel
      extends com.extjs.gxt.ui.client.data.BaseModelData
      implements com.google.gwt.user.client.rpc.IsSerializable

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `STATUS`
    `protected GXTFolderItemTypeEnum` | `test`

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `allowNestedValues, map`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FileModel()`
    `` | `FileModel(String identifier, String name, boolean isDirectory)` USED FOR ATTACHMENTS AND FolderBulkCreator
    `` | `FileModel(String identifier, String name, FileModel parent, boolean isDirectory)`
    `` | `FileModel(String identifier, String name, String type, GXTFolderItemTypeEnum folderItemTypeEnum, boolean isDirectory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `com.google.gwt.user.client.ui.AbstractImagePrototype` | `getAbstractPrototypeIcon()`
    `GXTFolderItemTypeEnum` | `getGXTFolderItemType()`
    `String` | `getGXTFolderItemTypeToString()`
    `com.google.gwt.user.client.ui.Image` | `getIcon()`
    `String` | `getIdentifier()`
    `String` | `getName()`
    `FileModel` | `getParentFileModel()`
    `String` | `getShortcutCategory()`
    `String` | `getStatus()`
    `String` | `getType()`
    `boolean` | `isDirectory()`
    `boolean` | `isShared()`
    `void` | `setFolderItemType(GXTFolderItemTypeEnum folderItemTypeEnum)`
    `void` | `setIcon()`
    `void` | `setIdentifier(String identifier)`
    `void` | `setParentFileModel(FileModel parent)`
    `void` | `setShared(boolean isShared)`
    `void` | `setShortcutCategory(String category)`
    `void` | `setStatus(String status)` Status values ConstantsPortletMessages.FOLDERNOTLOAD = "notload"; ConstantsPortletMessages.FOLDERLOADED = "loaded";
    `void` | `setType(String type)` It's: folder, mime type or unknown

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `get, get, getProperties, getPropertyNames, isAllowNestedValues, remove, set, setAllowNestedValues, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATUS

          protected static final String STATUS

      See Also:
        Constant Field Values

    - #### test

          protected GXTFolderItemTypeEnum test

  - ### Constructor Detail

    - #### FileModel

          protected FileModel()

    - #### FileModel

          public FileModel(String identifier,
                   String name,
                   FileModel parent,
                   boolean isDirectory)

    - #### FileModel

          public FileModel(String identifier,
                   String name,
                   boolean isDirectory)

      USED FOR ATTACHMENTS AND FolderBulkCreator
      Parameters:
        `identifier` -
        `name` -
        `isDirectory` -

    - #### FileModel

          public FileModel(String identifier,
                   String name,
                   String type,
                   GXTFolderItemTypeEnum folderItemTypeEnum,
                   boolean isDirectory)

  - ### Method Detail

    - #### setParentFileModel

          public void setParentFileModel(FileModel parent)

    - #### setStatus

          public void setStatus(String status)

      Status values ConstantsPortletMessages.FOLDERNOTLOAD = "notload"; ConstantsPortletMessages.FOLDERLOADED = "loaded";
      Parameters:
        `status` -

    - #### setIcon

          public void setIcon()

    - #### getIcon

          public com.google.gwt.user.client.ui.Image getIcon()

    - #### getAbstractPrototypeIcon

          public com.google.gwt.user.client.ui.AbstractImagePrototype getAbstractPrototypeIcon()

    - #### getStatus

          public String getStatus()

    - #### setIdentifier

          public void setIdentifier(String identifier)

    - #### getIdentifier

          public String getIdentifier()

    - #### setShortcutCategory

          public void setShortcutCategory(String category)

    - #### getShortcutCategory

          public String getShortcutCategory()

    - #### getName

          public String getName()

    - #### getParentFileModel

          public FileModel getParentFileModel()

    - #### isDirectory

          public boolean isDirectory()

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### isShared

          public boolean isShared()

      Returns:
        the isShared

    - #### setShared

          public void setShared(boolean isShared)

      Parameters:
        `isShared` - the isShared to set

    - #### setType

          public void setType(String type)

      It's: folder, mime type or unknown
      Parameters:
        `type` -

    - #### getType

          public String getType()

    - #### setFolderItemType

          public void setFolderItemType(GXTFolderItemTypeEnum folderItemTypeEnum)

    - #### getGXTFolderItemType

          public GXTFolderItemTypeEnum getGXTFolderItemType()

    - #### getGXTFolderItemTypeToString

          public String getGXTFolderItemTypeToString()

Copyright © 2014. All Rights Reserved.